Package com.sas.services.security

# Class ConnectRefusedLoginServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.security.LoginServiceException
com.sas.services.security.NetworkLoginServiceException
com.sas.services.security.ConnectRefusedLoginServiceException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class ConnectRefusedLoginServiceException extends NetworkLoginServiceException implements Serializable
This exception gets thrown if the authentication process detects that a "connection refused" network error occurred while attempting authentication.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectRefusedLoginServiceException()`
  Constructs a default exception to detail a login failure caused by a refused connection.
  `ConnectRefusedLoginServiceException(String message)`
  Constructs an exception to detail a login failure caused by a refused connection using the specified message.
  `ConnectRefusedLoginServiceException(Throwable throwable, String message)`
  Constructs an exception to detail a login failure caused by a refused connection using the specified message and throwable.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectRefusedLoginServiceException

    public ConnectRefusedLoginServiceException()
    Constructs a default exception to detail a login failure caused by a refused connection.

  - ### ConnectRefusedLoginServiceException

    public ConnectRefusedLoginServiceException(String message)
    Constructs an exception to detail a login failure caused by a refused connection using the specified message.
    Parameters:
      `message` - Message detailing the connection refused login failure.

  - ### ConnectRefusedLoginServiceException

    public ConnectRefusedLoginServiceException(Throwable throwable, String message)
    Constructs an exception to detail a login failure caused by a refused connection using the specified message and throwable.
    Parameters:
      `throwable` - Throwable which caused the connection to be refused.
      `message` - Message detailing the connection refused login failure.